Bug 536637 - (RHQ-967) dynagroup resource syntax hierarchy not respected for complex subexpressions
dynagroup resource syntax hierarchy not respected for complex subexpressions
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Resource Grouping (Show other bugs)
1.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: RHQ-399
  Show dependency treegraph
 
Reported: 2008-10-09 10:22 EDT by Joseph Marques
Modified: 2014-11-09 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-10-09 10:22:00 EDT
affected hierarchical elemens: ".parent", ".child", ".grandparent"
affected subexpressions: resourceConfiguration, pluginConfiguration, traits, availability

for instance, if you say:

"resource.parent.pluginConfiguration[princial] = admin"

it should give you all resources that have a parent resource that has a plugin configuration property called 'principal' with the value admin
it actually gives you all resources that have a plugin configuration property called 'principal' with the value admin
Comment 1 Joseph Marques 2008-10-10 10:57:33 EDT
rev1746 -  dynagroup support for ".child", ".parent", and ".grandparent" when using complex subexpressions such as ".pluginConfiguration", .resourceConfiguration", ".trait", and ".availability"
Comment 2 Joseph Marques 2008-10-10 11:02:43 EDT
for testing i imported a single platform and created 4 different group definitions with one expression each:

1) resource.child.pluginConfiguration[princial] = admin
2) resource.pluginConfiguration[princial] = admin
3) resource.parent.pluginConfiguration[princial] = admin
4) resource.grandparent.pluginConfiguration[princial] = admin

the expected results are:

1) the single platform resource
2) all auth-enabled JBAS (or EAP) instances 
3) all resources that are direct children of the JBossAS Server type (ConnectionFactory, JBossMessaging, Datasource (2)	JBossMQ, EJB3 Entity Tree Cache, Script, Embedded Tomcat Server, Web Application (WAR))
4) all resources that are grandchildren of the JBossAS Server type (Connector, JBM JMS Topic, EJB3 Entity Tree Cache Interceptor, JMQ JMS Queue, JBM JMS Queue, VHost)

for fuller coverage, the other subexpressions - ".resourceConfiguration", ".trait", and ".availability" - should be tested in a similar manner.
Comment 3 Jeff Weiss 2008-12-22 09:04:56 EST
This requires a security enabled jbas instance.
Comment 4 Jeff Weiss 2009-01-27 14:40:49 EST
All tests above work as described.  rev2733
Comment 5 Red Hat Bugzilla 2009-11-10 16:20:38 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-967

Note You need to log in before you can comment on or make changes to this bug.